Package org.lwjgl.opengl

# Class ARBViewportArray

java.lang.Object
org.lwjgl.opengl.ARBViewportArray

public final class ARBViewportArray extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FIRST_VERTEX_CONVENTION`
Returned in the <data> parameter from a Get query with a <pname> of LAYER_PROVOKING_VERTEX or VIEWPORT_INDEX_PROVOKING_VERTEX:
`static final int`
`GL_LAST_VERTEX_CONVENTION`
Returned in the <data> parameter from a Get query with a <pname> of LAYER_PROVOKING_VERTEX or VIEWPORT_INDEX_PROVOKING_VERTEX:
`static final int`
`GL_LAYER_PROVOKING_VERTEX`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_VIEWPORTS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_PROVOKING_VERTEX`
Returned in the <data> parameter from a Get query with a <pname> of LAYER_PROVOKING_VERTEX or VIEWPORT_INDEX_PROVOKING_VERTEX:
`static final int`
`GL_UNDEFINED_VERTEX`
Returned in the <data> parameter from a Get query with a <pname> of LAYER_PROVOKING_VERTEX or VIEWPORT_INDEX_PROVOKING_VERTEX:
`static final int`
`GL_VIEWPORT_BOUNDS_RANGE`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_VIEWPORT_INDEX_PROVOKING_VERTEX`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_VIEWPORT_SUBPIXEL_BITS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDepthRangeArray(int first, DoubleBuffer v)`
`static void`
`glDepthRangeIndexed(int index, double n, double f)`
`static void`
`glDisableIndexedEXT(int target, int index)`
`static void`
`glEnableIndexedEXT(int target, int index)`
`static double`
`glGetDouble(int target, int index)`
Overloads glGetDoublei_v.
`static void`
`glGetDouble(int target, int index, DoubleBuffer data)`
`static float`
`glGetFloat(int target, int index)`
Overloads glGetFloati_v.
`static void`
`glGetFloat(int target, int index, FloatBuffer data)`
`static int`
`glGetIntegerIndexedEXT(int target, int index)`
Overloads glGetIntegerIndexedivEXT.
`static void`
`glGetIntegerIndexedEXT(int target, int index, IntBuffer v)`
`static boolean`
`glIsEnabledIndexedEXT(int target, int index)`
`static void`
`glScissorArray(int first, IntBuffer v)`
`static void`
`glScissorIndexed(int index, int left, int bottom, int width, int height)`
`static void`
`glScissorIndexed(int index, IntBuffer v)`
`static void`
`glViewportArray(int first, FloatBuffer v)`
`static void`
`glViewportIndexed(int index, FloatBuffer v)`
`static void`
`glViewportIndexedf(int index, float x, float y, float w, float h)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_VIEWPORTS

public static final int GL_MAX_VIEWPORTS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_VIEWPORT_SUBPIXEL_BITS

public static final int GL_VIEWPORT_SUBPIXEL_BITS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_VIEWPORT_BOUNDS_RANGE

public static final int GL_VIEWPORT_BOUNDS_RANGE
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_LAYER_PROVOKING_VERTEX

public static final int GL_LAYER_PROVOKING_VERTEX
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_VIEWPORT_INDEX_PROVOKING_VERTEX

public static final int GL_VIEWPORT_INDEX_PROVOKING_VERTEX
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_FIRST_VERTEX_CONVENTION

public static final int GL_FIRST_VERTEX_CONVENTION
Returned in the <data> parameter from a Get query with a <pname> of LAYER_PROVOKING_VERTEX or VIEWPORT_INDEX_PROVOKING_VERTEX:

See Also:
  - Constant Field Values

### GL_LAST_VERTEX_CONVENTION

public static final int GL_LAST_VERTEX_CONVENTION
Returned in the <data> parameter from a Get query with a <pname> of LAYER_PROVOKING_VERTEX or VIEWPORT_INDEX_PROVOKING_VERTEX:

See Also:
  - Constant Field Values

### GL_PROVOKING_VERTEX

public static final int GL_PROVOKING_VERTEX
Returned in the <data> parameter from a Get query with a <pname> of LAYER_PROVOKING_VERTEX or VIEWPORT_INDEX_PROVOKING_VERTEX:

See Also:
  - Constant Field Values

### GL_UNDEFINED_VERTEX

public static final int GL_UNDEFINED_VERTEX
Returned in the <data> parameter from a Get query with a <pname> of LAYER_PROVOKING_VERTEX or VIEWPORT_INDEX_PROVOKING_VERTEX:

See Also:
  - Constant Field Values

## Method Details

### glViewportArray

public static void glViewportArray(int first, FloatBuffer v)

### glViewportIndexedf

public static void glViewportIndexedf(int index, float x, float y, float w, float h)

### glViewportIndexed

public static void glViewportIndexed(int index, FloatBuffer v)

### glScissorArray

public static void glScissorArray(int first, IntBuffer v)

### glScissorIndexed

public static void glScissorIndexed(int index, int left, int bottom, int width, int height)

### glScissorIndexed

public static void glScissorIndexed(int index, IntBuffer v)

### glDepthRangeArray

public static void glDepthRangeArray(int first, DoubleBuffer v)

### glDepthRangeIndexed

public static void glDepthRangeIndexed(int index, double n, double f)

### glGetFloat

public static void glGetFloat(int target, int index, FloatBuffer data)

### glGetFloat

public static float glGetFloat(int target, int index)
Overloads glGetFloati_v.

### glGetDouble

public static void glGetDouble(int target, int index, DoubleBuffer data)

### glGetDouble

public static double glGetDouble(int target, int index)
Overloads glGetDoublei_v.

### glGetIntegerIndexedEXT

public static void glGetIntegerIndexedEXT(int target, int index, IntBuffer v)

### glGetIntegerIndexedEXT

public static int glGetIntegerIndexedEXT(int target, int index)
Overloads glGetIntegerIndexedivEXT.

### glEnableIndexedEXT

public static void glEnableIndexedEXT(int target, int index)

### glDisableIndexedEXT

public static void glDisableIndexedEXT(int target, int index)

### glIsEnabledIndexedEXT

public static boolean glIsEnabledIndexedEXT(int target, int index)